Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.temporal
Interface CalendarEra

    @UML(identifier="TM_CalendarEra",
         specification=ISO_19108)
    public interface CalendarEra

Characteristics of each calendar era.

Method Summary
`Period` | `getEpochOfUse()` Identifies the period for which the calendar era was used as a reference fro dating.
`JulianDate` | `getJulianReference()` Provides the julian date that corresponds to the reference date.
`InternationalString` | `getName()` Uniquely identifies the calendar era within this calendar.
`CalendarDate` | `getReferenceDate()` Provides the date of the reference event expressed as a date in the given calendar.
`InternationalString` | `getReferenceEvent()` Provides the name or description of a mythical or historic event which fixes the position of the base scale of the calendar era.

Method Detail

### getName

    @UML(identifier="name",
         obligation=MANDATORY,
         specification=ISO_19108)
    InternationalString getName()

  Uniquely identifies the calendar era within this calendar.

### getReferenceEvent

    @UML(identifier="referenceEvent",
         obligation=OPTIONAL,
         specification=ISO_19108)
    InternationalString getReferenceEvent()

  Provides the name or description of a mythical or historic event which fixes the position of the base scale of the calendar era.

### getReferenceDate

    @UML(identifier="referenceDate",
         obligation=OPTIONAL,
         specification=ISO_19108)
    CalendarDate getReferenceDate()

  Provides the date of the reference event expressed as a date in the given calendar.

### getJulianReference

    @UML(identifier="julianReference",
         specification=ISO_19108)
    JulianDate getJulianReference()

  Provides the julian date that corresponds to the reference date.

### getEpochOfUse

    @UML(identifier="epochOfUse",
         specification=ISO_19108)
    Period getEpochOfUse()

  Identifies the period for which the calendar era was used as a reference fro dating.

  Returns:
    The period, where the data type for begin and `end` is `JulianDate`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.